Page MenuHomePhabricator

cleanup marker metrics published by Kartotherian
Closed, ResolvedPublic

Description

Graphite has about 57K metrics about markers published by Kartotherian:

gehel@graphite1001:/var/lib/carbon/whisper$ find kartotherian/marker/ -type f | wc -l
57840

About half of those metrics have not been written in the last 15 days.

@MaxSem: could you have a look and see if those metrics still make sense?

Event Timeline

Gehel created this task.Nov 8 2016, 12:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2016, 12:34 PM
Gehel added a comment.Nov 8 2016, 12:37 PM

list of all markers:

MaxSem added a comment.Nov 8 2016, 6:58 PM

It seems that Kart's recording every marker/color combination that gets requested which means that the number of metrics will be humongous as time goes by - @Yurik, looks like Kartotherian should stop recording these.

Yurik added a comment.Nov 8 2016, 6:59 PM

Agree. I will get to it shortly, and deploy.

Yurik claimed this task.Nov 8 2016, 6:59 PM
Yurik added a project: Maps-Sprint.
Yurik moved this task from Backlog to In progress on the Maps-Sprint board.

Mentioned in SAL (#wikimedia-operations) [2016-12-15T16:36:01Z] <gehel> cleaning up unused kartotherian marker metrics from graphite - T150254

debt moved this task from In progress to Stalled/Waiting on the Maps-Sprint board.Dec 15 2016, 4:38 PM
Gehel moved this task from Stalled/Waiting to Done on the Maps-Sprint board.Dec 15 2016, 4:41 PM
Gehel closed this task as Resolved.Feb 23 2017, 1:44 PM

Markers cleaned, only aggregated marker metric is left.